## ipset 2.3.3

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,14 @@
 ifndef KERNEL_DIR
 KERNEL_DIR=/usr/src/linux
 endif
+ifndef IP_NF_SET_MAX
+IP_NF_SET_MAX=256
+endif
+ifndef IP_NF_SET_HASHSIZE
+IP_NF_SET_HASHSIZE=1024
+endif
 
-IPSET_VERSION:=2.3.0
+IPSET_VERSION:=2.3.3
 
 PREFIX:=/usr/local
 LIBDIR:=$(PREFIX)/lib
@@ -21,7 +27,7 @@
 RELEASE_DIR:=/tmp
 
 COPT_FLAGS:=-O2
-CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -I$(KERNEL_DIR)/include -I. -g -DIPSET_DEBUG #-pg # -DIPTC_DEBUG
+CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -Ikernel/include -I. # -g -DIPSET_DEBUG #-pg # -DIPTC_DEBUG
 SH_CFLAGS:=$(CFLAGS) -fPIC
 SETTYPES:=ipmap portmap macipmap iphash nethash iptree iptreemap ipporthash
 
@@ -30,12 +36,35 @@
 INSTALL=$(DESTDIR)$(BINDIR)/ipset $(DESTDIR)$(MANDIR)/man8/ipset.8
 INSTALL+=$(foreach T, $(SETTYPES), $(DESTDIR)$(LIBDIR)/ipset/libipset_$(T).so)
 
-all: $(PROGRAMS) $(SHARED_LIBS)
+all: binaries modules
 
-install: all $(INSTALL)
+.PHONY: tests
+
+tests:
+	cd tests; ./runtest.sh
+
+binaries: $(PROGRAMS) $(SHARED_LIBS)
+
+binaries_install: binaries $(INSTALL)
+
+patch_kernel:
+	cd kernel; ./patch_kernel $(KERNEL_DIR)
+
+modules:
+	@[ ! -f $(KERNEL_DIR)/net/ipv4/netfilter/Config.in ] || (echo "Error: The directory '$(KERNEL_DIR)' looks like a Linux 2.4.x kernel source tree, you have to patch it by 'make patch_kernel'." && exit 1)
+	@[ -f $(KERNEL_DIR)/net/ipv4/netfilter/Kconfig ] || (echo "Error: The directory '$(KERNEL_DIR)' doesn't look like a Linux 2.6.x kernel source tree." && exit 1)
+	@[ -f $(KERNEL_DIR)/.config ] || (echo "Error: The kernel source in '$(KERNEL_DIR)' must be configured" && exit 1)
+	@[ -f $(KERNEL_DIR)/Module.symvers ] || echo "Warning: You should run 'make modules' in '$(KERNEL_DIR)' beforehand"
+	cd kernel; make -C $(KERNEL_DIR) M=`pwd` IP_NF_SET_MAX=$(IP_NF_SET_MAX) IP_NF_SET_HASHSIZE=$(IP_NF_SET_HASHSIZE) modules
+
+modules_install: modules
+	cd kernel; make -C $(KERNEL_DIR) M=`pwd` modules_install
+
+install: binaries_install modules_install
 
 clean: $(EXTRA_CLEANS)
 	rm -rf $(PROGRAMS) $(SHARED_LIBS) *.o *~
+	[ -f $(KERNEL_DIR)/net/ipv4/netfilter/Config.in ] || (cd kernel; make -C $(KERNEL_DIR) M=`pwd` clean)
 
 #The ipset(8) self
 ipset.o: ipset.c
