## ipset 6.11

=== debian/changelog ===
ipset (6.11-2) unstable; urgency=low

  * Update debian/control
    * debian/control:
      - Bump Standards-Version to 3.9.3, no changes needed.
      - Change Architecture to linux-any as iptables only supports linux.
        (Closes: #647656 - uninstallable on kfreebsd-amd64)
      - Add iptables to ipset dependency.
  * Bump dh compat to 9
    * debian/compat, debian/control: Bump dh compat to 9.
    * debian/rules:
      - Simplify hardening build flags and multiarch support logic.
  * Update copyright format url to version 1.0

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 28 Feb 2012 09:56:38 +0700

ipset (6.11-1) unstable; urgency=low

  (Closes: #656343)

  [ Neutron Soutmun ]
  * Imported Upstream version 6.11
  * Switch to 3.0 (quilt) Debian source format
  * Update compat level and control files
    * debian/compat:
      - Bump compat level to 8.
    * debian/control:
      - Update me as the maintainer.
      - Bump Standards-Version to 3.9.2, no changes needed.
      - Add/update build-deps:
        * Update debhelper (>= 8.1.3~) and add dpkg-dev (>= 1.16.1~)
          to support multiarch builds and get hardening build flags on
          dpkg-buildflags is being invoked.
        * Add dh-autoreconf.
        * libmnl-dev  which is required by ipset utility.
        * Add pkg-config which is required by configure script to check
          whether the libmnl has already been installed.
      - Add Homepage.
      - Add Vcs-{Browser,Git} point to Alioth.
      - The ipset package should conflicts the xtables-addons-common which
        also provides the ipset utility binary.
      - Add more packages:
        * libipset-dev, libipset2 which provide the runtime/development
          libraries and header files. (MultiArch supported)
      - Update the descriptions.
    * debian/control.modules:
      - Drop as the ipset already included in the mainline kernel, no needs
        to build as the modules.
    * debian/README.Debian:
      - Drop outdated Debian readme file.
  * Update rules and drop rules.modules
    * debian/rules:
      - Using new debhelper build rules set.
      - Get DEB_HOST_MULTIARCH which is required by libipset for MultiArch
        support.
      - Set hardening build flags by using dpkg-buildflags to exports the
        compilation flags and override the dh_auto_configure.
      - Set --libdir to comply with MultiArch by using DEB_HOST_MULTIARCH.
    * debian/rules.modules:
      - Drop as unneeded.
  * Add installation files for each package
    * debian/ipset.{install,docs,manpages}:
      - Install binary, documents and manpages.
    * debian/libipset{2,-dev}:
      - Install runtime/development libraries and header files.
  * Update copyright file to DEP-5 format
  * Add patch to build ipset against shared libs
    * debian/patches/99-ipset-shared-libs.patch, debian/patches/series:
      - Add patch.
  * Drop unnecessary lintian override file
  * Add watch file
  * Drop unused override_dh_auto_clean from rules

  [ Dmitry Smirnov <onlyjob@member.fsf.org> ]
  * debian/copyright: correct DEP-5 format URL
  * preparing for coordinated upload with xtables-addons 1.41
  * adding forgotten debian/changelog
  * tightening depends on libipset
  * adding libmnl-dev to libipset-dev build-deps

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sat, 04 Feb 2012 14:44:50 +0700

ipset (2.5.0-1) unstable; urgency=low

  * New upstream release; closes: #503683.
  * Ship ipset-source kernel modules package.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 09 May 2009 18:17:13 -0400

ipset (2.3.3-1) unstable; urgency=low

  * New upstream release; closes: #481382.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 19 Jul 2008 20:56:33 -0400

ipset (2.3.0-1) unstable; urgency=low

  * New upstream release with iptreemap support; closes: #445389.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 08 Oct 2007 12:09:11 -0400

ipset (2.2.9a-1) unstable; urgency=low

  * New upstream release which removes dependencies on kernel headers;
    closes: #389860.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 14 Oct 2006 22:10:46 -0400

ipset (2.2.9-1) unstable; urgency=low

  * Initial release, closes: #380148.
  * Header files from patch-o-matic-ng were extracted from netfilter.org
    sources and placed in the ipset source package to avoid the need for an
    extracted Linux kernel tree with the ipset patches in order to build.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 27 Aug 2006 13:56:39 -0400
