=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-kmod=no

PKGCONFIG_INSTDIR := debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
override_dh_auto_install:
	mkdir -p $(PKGCONFIG_INSTDIR)
	cp lib/libipset.pc $(PKGCONFIG_INSTDIR)
	dh_auto_install

override_dh_makeshlibs:
	dh_makeshlibs -V
