## ipset 6.12.1

=== debian/changelog ===
ipset (6.12.1-1) unstable; urgency=low

  * Imported Upstream version 6.12.1
  * debian/patches/99-ipset-shared-libs.patch:
    - Drop as the upstream provides the configuration parameters to force
      the ipset binary to link with shared lib.
  * debian/patches/90-fix-typo.patch: Add typo fix
  * Enable settype dynamic modules support
    * debian/rules:
      - Add --enable-settype-modules to configure.
        All settype modules still build as static which included in libipset
        as usual but the ipset binary could runtime load the additional modules
        installed at /usr/lib/[arch triplet]/ipset.
    * debian/control:
      - Add libltdl-dev to build-dep.
  * debian/libipset2.symbols: Add symbols file
  * debian/control:
      - Set debhelper (>= 9.20120115~). (thanks, Arno Töll)
      - Drop dh-autoreconf from build-deps as it's unnecessary.
        (thanks, Arno Töll)
      - Adjust the packages description which should not start with capital
        letter. (thanks, Arno Töll)
  * debian/rules: Drop autoreconf addon from debhelper configuration.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 10 May 2012 23:48:56 +0700
