=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 9.20120115~),
  dpkg-dev (>= 1.16.1~),
+ libltdl-dev,
  libmnl-dev,
  pkg-config
 Standards-Version: 3.9.3
@@ -40,7 +40,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: libipset2 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
-Description: Development files for IP sets
+Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
  IP set may store IP addresses, (TCP/UDP) port numbers or IP addresses with
@@ -66,7 +66,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Description: IP sets library
+Description: library for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
  IP set may store IP addresses, (TCP/UDP) port numbers or IP addresses with
