=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-kmod=no
+	dh_auto_configure -- --with-kmod=no --enable-settype-modules
 
 PKGCONFIG_INSTDIR := debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 override_dh_auto_install:
