## ipset 6.19

=== debian/changelog ===
ipset (6.19-1) unstable; urgency=low

  * Imported Upstream version 6.19 (upload to unstable)
  * debian/rules, debian/source/options: Switch deb compression to bzip2
  * debian/libipset3.symbols: Update, upstream add new symbol.
  * Add patches to fix
    * d/p/01-Set-extglob-shell-option-in-global-scoped.patch:
      - Fix bash completion syntax error.
    * d/p/02-Fix-hyphen-used-as-minus-sign-in-manpage.patch:
      - Fix hyphen used as minus sign in manpage.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 10 May 2013 11:49:31 +0700

ipset (6.18-2) experimental; urgency=low

  * Get library so version on build-time instead of hardcoded
    * debian/rules:
      - Get library so version on build-time and passing to
        dh_link for symlinks installation.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 24 Apr 2013 16:02:52 +0700

ipset (6.18-1) experimental; urgency=low

  * Imported Upstream version 6.18

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 16 Apr 2013 09:14:50 +0700

ipset (6.17-1) experimental; urgency=low

  * Imported Upstream version 6.17
  * Add dh-autoreconf to fix lintian warning
    * debian/control, debian/rules:
      - Add dh-autoreconf to fix the lintian warning
        (outdated-autotools-helper-file)
  * debian/{rules,ipset.install}: Install ipset bash completion.
  * debian/copyright: Update copyright years.
  * debian/rules: Disable silent rules

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 28 Feb 2013 10:03:44 +0700

ipset (6.16.1-1) experimental; urgency=low

  * Imported Upstream version 6.16.1
  * Bump debian-news entry version to 6.14-2
    * debian/NEWS:
      - Bump entry version to 6.14-2 to satisfy lintian as 6.14-1 is
        no longer exists.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 16 Jan 2013 08:47:50 +0700

ipset (6.14-2) experimental; urgency=low

  * Imported Upstream version 6.14
  * Bump standard-versions to 3.9.4, no changes needed
  * Move ipset and lib to /sbin and /lib/[arch triplet] respectively
    * debian/rules, debian/{ipset,libipset2,libipset-dev}.install:
      - Move ipset and lib to the path which independent of /usr.
        It should setup the *set* correctly even the system could not mount
        /usr as same as the iptables does.
        (thanks to Henrique de Moraes Holschuh for suggestion)
  * Add debian/NEWS
    - Inform the users that ipset and lib have been moved to /sbin and
      /lib/[arch triplet] respectively and it does not support the /usr not
      mounted yet until the libmnl moves their library to /lib.
  * Add -fstack-protector-all to CFLAGS
    * debian/rules:
      - Add -fstack-protector-all to CFLAGS to force ipset binary hardened
        with stack protector properly.
  * Bump the package name to libipset3 as SONAME changes
  * Install static libs and so symlink in /usr/lib/<arch-triplet>

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 25 Sep 2012 10:17:04 +0700
