=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
 Build-Depends:
  debhelper (>= 9.20120115~),
+ dh-autoreconf,
+ dh-exec (>= 0.3),
  dpkg-dev (>= 1.16.1~),
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
 Vcs-Git: git://git.debian.org/collab-maint/ipset.git
@@ -39,7 +41,7 @@
 Package: libipset-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libipset2 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
+Depends: libipset3 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
 Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
@@ -61,7 +63,7 @@
  This package contains the development libraries and header files you need to
  develop your programs using the IP sets library.
 
-Package: libipset2
+Package: libipset3
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
