## ipset 6.20.1

=== debian/changelog ===
ipset (6.20.1-1) unstable; urgency=low

  * Imported Upstream version 6.20.1
  * Drop d/p/02-Fix-hyphen-used-as-minus-sign-in-manpage.patch, fixed upstream
  * debian/libipset3.symbols: Update symbols file
  * Update Vcs-Git field to canonical URI

 -- Neutron Soutmun <neo.neutron@gmail.com>  Mon, 28 Oct 2013 10:35:36 +0700
