=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Standards-Version: 3.9.4
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
-Vcs-Git: git://git.debian.org/collab-maint/ipset.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git
 
 Package: ipset
 Architecture: linux-any
