## ipset 6.21.1

=== debian/changelog ===
ipset (6.21.1-2) unstable; urgency=low

  * Add tests follow the DEP8
    * debian/control:
      - Add XS-Testsuite: autopkgtest
    * debian/tests/control:
      - Add test control file
    * debian/tests/regression:
      - Add regression test wrapper for tests/runtest.sh
  * Add a patch to make the test scripts run in "as-installed" situation
    * d/patches/03-Pass-IPSET_BIN-to-test-scripts-to-change-binary-loca.patch:
      - It is required to make the test scripts run in "as-installed"
        situation, the scripts should invokes the system installed "ipset"
        binary.
  * Add a patch to drop unsupported module test
    * debian/patches/03-temporary-drop-ipmarkhash-test.patch:
      - Temporary drop the ipmarkhash test as the Debian kernel is not
        support yet.
  * Add a patch to delay the set with timeout resizing test
    * debian/patches/05-delay-the-set-with-timeout-resizing-test.patch:
      - The set with timeout resizing sometimes finish early, the condition
        fail with false-positive. Add 1 more second delay to satisfy the
        condition check.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 04 Apr 2014 16:23:02 +0700

ipset (6.21.1-1) unstable; urgency=low

  * Imported Upstream version 6.21.1
  * Drop a patch that has been merged upstream
    * debian/patches/01-Set-extglob-shell-option-in-global-scoped.patch:
      - Drop, merged upstream.
  * Bump Standards-Version to 3.9.5, no changes needed
  * Add lintian-overrides
    * debian/lintian-overrides:
      - Overrides "ipset: shell-script-fails-syntax-check
        etc/bash_completion.d/ipset", false-positives as the script using
        "extglob"
  * Update symbols file
  * debian/patches/01-fix-grammar-error-in-manpage.patch:
    - Replace Allows_to with Allows_one_to.
  * debian/patches/02-fix-printf-format-warning.patch:
    - Fix printf format warning.
  * Switch debian package compression to xz

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sat, 08 Mar 2014 13:06:49 +0700
