=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git
+XS-Testsuite: autopkgtest
 
 Package: ipset
 Architecture: linux-any
