## ipset 6.23

=== debian/changelog ===
ipset (6.23-2) unstable; urgency=medium

  * Make libipset3 package go to the "libs" section
    * debian/control:
      - libipset3 should be the "libs" section instead of "net".
        Thanks to Christoph Anton Mitterer. (Closes: #762847)

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 26 Sep 2014 08:45:42 +0700

ipset (6.23-1) unstable; urgency=medium

  * Imported Upstream version 6.23
  * Drop patches, merged upstream
    * d/p/01-fix-grammar-error-in-manpage.patch,
      d/p/02-fix-printf-format-warning.patch,
      d/p/03-Pass-IPSET_BIN-to-test-scripts-to-change-binary-loca.patch:
      - Drop, merged upstream.
    * d/p/04-temporary-drop-ipmarkhash-test.patch:
      - Kernel shipped with Debian already support the ipmarkhash module.
  * Update Debian symbols file
  * Explicitly add tests list to debian regression test
    * debian/tests/regression:
      - There are some ipset modules that Debian does not support in the
        current Linux kernel and the patch apply to the source test script
        is an inconvenient way. Therefore, add tests list to the debian
        regression test file is easy and maintainable.
  * Add patch
    * debian/patches/fix-hyphen-used-as-minus-sign-in-manpage.patch:
      - Fix hyphen used as minus sign in manpage.
  * debian/copyright: Update copyright years

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 17 Sep 2014 10:04:15 +0700
