=== debian/control ===
--- 
+++ 
@@ -65,6 +65,7 @@
  develop your programs using the IP sets library.
 
 Package: libipset3
+Section: libs
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
