=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
-
-override_dh_builddeb:
-	dh_builddeb -- -Zbzip2
