=== debian/tests/control ===
Tests: regression
Depends:
 @,
 autopkgtest,
 sendip
Restrictions: needs-root isolation-machine allow-stderr
