## ipset 6.24

=== debian/changelog ===
ipset (6.24-1) unstable; urgency=medium

  * Imported Upstream version 6.24
  * Drop a patch
    * debian/patches/fix-hyphen-used-as-minus-sign-in-manpage.patch:
      - Dropped, merged upstream.
  * Bump standards-version to 3.9.6, no changes needed
  * Update debian symbols file

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 02 Jan 2015 08:53:11 +0700
