=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git
