## ipset 6.25.1

=== debian/changelog ===
ipset (6.25.1-1) unstable; urgency=medium

  * Imported Upstream version 6.25.1
  * Refresh patch
    * debian/patches/05-delay-the-set-with-timeout-resizing-test.patch
  * Drop XS-Testsuite: autopkgtest
    * As of dpkg 1.17.11, this field is automaticall added by dpkg-source
      with the value "autopkgtest" if there is a non-empty
      debian/tests/control.
  * Install ipset bash completion to new location
    * debian/rules, debian/ipset.install, debian/lintian-overrides: 
      - Install ipset bash completion to
        /usr/share/bash-completion/completions
        See: https://bugs.debian.org/776954
  * Proposed small wording in manpage has been merged upstream.
    Closes: #780336
  * Add fix grammar error in manpage patch
    * debian/patches/Fix-grammar-error-in-manpage.patch:
      - Fix "allow_to" to "allows_one_to"

 -- Neutron Soutmun <neo.neutron@gmail.com>  Mon, 20 Jul 2015 14:24:30 +0700
