=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git
-XS-Testsuite: autopkgtest
 
 Package: ipset
 Architecture: linux-any
