=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh_auto_configure -- $(_configure)
 
 PKGCONFIG_INSTDIR := debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
-BASHCOMPL_INSTDIR := debian/tmp/etc/bash_completion.d
+BASHCOMPL_INSTDIR := debian/tmp/usr/share/bash-completion/completions
 override_dh_auto_install:
 	mkdir -p $(PKGCONFIG_INSTDIR)
 	cp lib/libipset.pc $(PKGCONFIG_INSTDIR)
