## ipset 6.29

=== debian/changelog ===
ipset (6.29-1) unstable; urgency=medium

  * Imported Upstream version 6.29
  * Drop a patch
    * debian/patches/10-fix-link-with-libtool-2.4.4.patch:
      - It's included in the new upstream release
  * Upstream rename the ipset bash completion
    * debian/rules:
      - In utils/ipset_bash_completion/, the upstream rename
        "ipset_bash_completion" with "ipset", update accordingly.
  * Bump Standards-Version, update Vcs-* with secure-uri
    * Bump Standards-Version to 3.9.7, no changes needed
    * Update Vcs-* with secure-uri
  * Adjust upstream's test scripts to work with Debian
    * debian/patches/adjust-test-scripts-for-debian.patch:
      - Drop missing lines in the results that the current Debian Linux
        kernel does not support yet.
      - Adjust some size, memory size and line count in the expected results
        to match the actual results.
    * debian/tests/control:
      - The test requires "netmask" package

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 18 Mar 2016 07:54:18 +0700

ipset (6.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with newer libtool. (Closes: #814582)
    - add debian/patches/10-fix-link-with-libtool-2.4.4.patch

 -- Chris Boot <bootc@debian.org>  Sat, 20 Feb 2016 16:00:10 +0000

ipset (6.27-1) unstable; urgency=medium

  * Imported Upstream version 6.27

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sat, 14 Nov 2015 07:58:23 +0700

ipset (6.26-1) unstable; urgency=medium

  * Imported Upstream version 6.26
  * debian/patches/Fix-grammar-error-in-manpage.patch: Drop, merged upstream.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 09 Sep 2015 16:57:55 +0700
