=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://ipset.netfilter.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ipset.git
 
 Package: ipset
 Architecture: linux-any
