=== debian/tests/control ===
Tests: regression
Depends:
 @,
 autopkgtest,
 netmask,
 sendip,
Restrictions: needs-root isolation-machine allow-stderr
