## ipset 6.30

=== debian/changelog ===
ipset (6.30-2ubuntu1) zesty; urgency=medium

  * debian/tests/control: Add missing kmod and netbase test dependencies,
    and remove the completely unnecessary test dependency on autopkgtest.
  * Drop adjust-test-scripts-for-debian.patch, our kernel is new enough.
  * debian/patches/test-installed.patch: Broken out from the above patch.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Apr 2017 06:25:34 -0600

ipset (6.30-2) unstable; urgency=medium

  * Switch Vcs-Browser to cgit
  * Drop debian/source/local-options
    * The extend-diff-ignore = .gbp.conf is not required anymore

 -- Neutron Soutmun <neutrons@debian.org>  Wed, 30 Nov 2016 09:05:14 +0700

ipset (6.30-1) unstable; urgency=medium

  * New upstream version 6.30
  * Move .gbp.conf to debian/gbp.conf
  * debian/patches/adjust-test-scripts-for-debian.patch: Refresh
  * Change my email to neutrons at debian.org
  * Update debian/copyright
  * Bump Standards-Version to 3.9.8, no changes needed
  * debian/tests/control: Fix testsuite-dependency-has-unparsable-elements

 -- Neutron Soutmun <neutrons@debian.org>  Mon, 28 Nov 2016 21:00:28 +0700
