=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ipset
 Section: net
 Priority: extra
-Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
  debhelper (>= 9.20120115~),
  dh-autoreconf,
@@ -10,9 +11,9 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://ipset.netfilter.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ipset.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ipset.git
 
 Package: ipset
