=== debian/tests/control ===
Tests: regression
Depends: @,
 netmask,
 sendip,
 kmod,
 netbase,
Restrictions: needs-root isolation-machine allow-stderr
