## ipset 6.34

=== debian/changelog ===
ipset (6.34-1) unstable; urgency=medium

  * [da82b06] New upstream version 6.34
  * [9cb150f] Drop d/p/fix-ipset-cmd-replacement.patch: Merged upstream
  * [745be35] Bump Standard-Versions to 4.1.1
    * Change package priority from `extra` (deprecated) to `optional`
  * [c0ec139] Update lib new symbols.
  * [5886e8d] Add lintian overrides for
    * ipset source: debian-watch-uses-insecure-uri.
  * [85ee414] Cleanup obsoleted bash completion configuration file.
    Closes: #868097
  * [2606f64] Update d/p/adjust-test-scripts-for-debian.patch
    * All workaround patches are not needed, supported by Debian's kernel.
    * Drop the upstream test case for 'Add more than 2^31 elements in a range',
      It's not yet supported by Debian's kernel.

 -- Neutron Soutmun <neutrons@debian.org>  Thu, 26 Oct 2017 15:53:31 +0700

ipset (6.32-1) unstable; urgency=medium

  * Upload to unstable
  * [22ca89c] d/control: maintainer is now the netfilter team, update VCS-*
  * [ad77df4] d/patches/fix-ipset-cmd-replacement.patch: fix description
  * [04d66a6] d/control: Bump Standards-Version to 4.0.0, no changes needed

 -- Neutron Soutmun <neutrons@debian.org>  Wed, 21 Jun 2017 11:43:07 +0700

ipset (6.32-1~exp2) experimental; urgency=medium

  * Add a patch to fix test failed to run
    * debian/patches/fix-ipset-cmd-replacement.patch:
      - In the upstream test, 'ipset' command should be replaced with
        '/sbin/ipset' but the recent script adds the line of command to
        replace it twice. The patch fixes the second replacement.
  * debian/patches/adjust-test-scripts-for-debian.patch: Refresh the patch
  * Add workaround patch
    * debian/patches/workaround-iphash-delete-one-by-one-test-failed.patch:
      - A workaround patch for iphash delete one-by-one test failed due to
        the bug [1] in the kernel module.
      [1] Fix bug: sometimes valid entries in hash:* types of sets were evicted
          https://git.netfilter.org/ipset/commit/?id=728fed0f689c76cb5cd77499b022764e93d91932
  * Revise test control file and split patch.
    Thanks Adam Conrad for suggestion and initial patch.
    * debian/tests/control:
      - Drop autopkgtest which is unnecessary.
      - Depends on kmod and netbase.
      - Depends on net-tools which the test script requires 'netstat'.
    * debian/patches/adjust-test-scripts-for-debian.patch,
      debian/patches/test-installed.patch:
      - Split Debian's kernel unrelated patch from
        adjust-test-scripts-for-debian.patch to test-installed.patch.
        Make it easy for Ubuntu that has a recent kernel than Debian to just
        drop unnecessary patches. (Closes: #860032)
  * debian/tests/regression: Add hash:mac.t to the list, Debian kernel supported

 -- Neutron Soutmun <neutrons@debian.org>  Wed, 31 May 2017 08:10:22 +0700

ipset (6.32-1~exp1) experimental; urgency=medium

  * New upstream version 6.32
  * debian/control: Add "Multi-Arch: same" to libipset-dev package

 -- Neutron Soutmun <neutrons@debian.org>  Thu, 23 Mar 2017 11:22:00 +0700
