=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ipset
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Neutron Soutmun <neutrons@debian.org>
+Priority: optional
+Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
+Uploaders: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
  debhelper (>= 9.20120115~),
  dh-autoreconf,
@@ -11,10 +11,10 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://ipset.netfilter.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ipset.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ipset.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netfilter/pkg-ipset.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-netfilter/pkg-ipset.git
 
 Package: ipset
 Architecture: linux-any
@@ -42,6 +42,7 @@
 Package: libipset-dev
 Section: libdevel
 Architecture: linux-any
+Multi-Arch: same
 Depends: libipset3 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
 Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
