=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	mkdir -p $(PKGCONFIG_INSTDIR)
 	cp lib/libipset.pc $(PKGCONFIG_INSTDIR)
 	mkdir -p $(BASHCOMPL_INSTDIR)
-	install --mode=0755 utils/ipset_bash_completion/ipset_bash_completion \
+	install --mode=0755 utils/ipset_bash_completion/ipset \
 	  $(BASHCOMPL_INSTDIR)/ipset
 	dh_auto_install
