## ipset 6.38

=== debian/changelog ===
ipset (6.38-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dpkg-maintscript-helper call (Closes: #927722).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2019 10:55:51 +0200

ipset (6.38-1.1) unstable; urgency=medium

  * Non maintainer upload.
  * use dpkg-maintscript-helper rm_conffile to clean up old bash-completion 
    file in /etc (Closes: #927722).

 -- Cyril de Bourgues <cyril.debourgues@infomaniak.com>  Thu, 25 Apr 2019 11:37:45 +0200

ipset (6.38-1) unstable; urgency=medium

  * [b80dcfb] New upstream version 6.38 (Closes: #898851)
  * [01246b1] Update gbp.conf follow the DEP-14 Git packaging repository layout.
  * [db0f7bf] Change library package name to match sonames
    * Change libipset3 to libipset11 to match sonames
    * debian/libipset11.symbols: Update new symbols
  * [58fffb4] Update Vcs-{Browser,Git} with salsa.debian.org.
  * [111675a] Bump debhelper compat level to 11.
  * [e852e62] d/copyright: Update years and Format URL with HTTPS.
  * [02d4ace] Bump Standards-Version to 4.2.1 (no changes)
  * [0eabad0] Update Build-Depends on debhelper 11
    * Update Build-Depends on debhelper (>= 11~)
    * Drop dh-autoreconf, since compatibility level 10, debhelper enables the
      autoreconf sequence by default
  * [090e700] d/p/fix-bash-completion.patch: (Closes: #848940)
    * Add patch to fix ipset bash completion on bash (>= 4.4.18)
      Thanks to Martin Großhauser for the patch

 -- Neutron Soutmun <neutrons@debian.org>  Sun, 02 Sep 2018 00:28:18 +0700
