=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
 Uploaders: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
- debhelper (>= 9.20120115~),
- dh-autoreconf,
+ debhelper (>= 11~),
  dh-exec (>= 0.3),
  dpkg-dev (>= 1.16.1~),
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: http://ipset.netfilter.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netfilter/pkg-ipset.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-netfilter/pkg-ipset.git
+Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-ipset
+Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-ipset.git
 
 Package: ipset
 Architecture: linux-any
@@ -43,7 +42,7 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libipset3 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
+Depends: libipset11 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
 Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
@@ -65,7 +64,7 @@
  This package contains the development libraries and header files you need to
  develop your programs using the IP sets library.
 
-Package: libipset3
+Package: libipset11
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
