## ipset 7.1

=== debian/changelog ===
ipset (7.1-0ubuntu1) disco; urgency=medium

  * New upstream version, compatible with the new kernel in disco
  * debian/control, debian/libipset13.symbols:
    - updated for the soname change 11 -> 13
  * deian/libipset13.symbols:
    - updated the symbols list

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Mar 2019 11:39:40 +0100
