=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libipset11 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
+Depends: libipset13 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
 Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
@@ -64,7 +64,7 @@
  This package contains the development libraries and header files you need to
  develop your programs using the IP sets library.
 
-Package: libipset11
+Package: libipset13
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
